CVE Reference: CVE-2012-3488

NOTE: The text on this page is written by CVE MITRE and reflects neither the opinions of Secunia or the results of our research. All data on this page is written and maintained by CVE MITRE.

Original Page at CVE MITRE:
CVE-2012-3488

Description:
The libxslt support in contrib/xml2 in PostgreSQL 8.3 before 8.3.20, 8.4 before 8.4.13, 9.0 before 9.0.9, and 9.1 before 9.1.5 does not properly restrict access to files and URLs, which allows remote authenticated users to modify data, obtain sensitive information, or trigger outbound traffic to arbitrary external hosts by leveraging (1) stylesheet commands that are permitted by the libxslt security options or (2) an xslt_process feature, related to an XML External Entity (aka XXE) issue.

CVE Status:
Candidate

References:

UBUNTU
  http://www.ubuntu.com/usn/USN-1542-1

SUSE
  http://lists.opensuse.org/opensuse-updates/2012-10/msg00013.html
  http://lists.opensuse.org/opensuse-updates/2012-09/msg00102.html
  http://lists.opensuse.org/opensuse-updates/2012-10/msg00024.html

SAID
  Secunia Advisory: SA50636
  Secunia Advisory: SA50635
  Secunia Advisory: SA50718
  Secunia Advisory: SA50946
  Secunia Advisory: SA50859

REDHAT
  http://rhn.redhat.com/errata/RHSA-2012-1263.html
  http://rhn.redhat.com/errata/RHSA-2012-1264.html

MANDRIVA
  http://www.mandriva.com/security/advisories?name=MDVSA-2012:139

DEBIAN
  http://www.debian.org/security/2012/dsa-2534

CONFIRM
  http://www.postgresql.org/docs/9.1/static/release-9-1-5.html
  http://www.postgresql.org/support/security/
  http://www.postgresql.org/docs/9.0/static/release-9-0-9.html
  http://www.postgresql.org/docs/8.3/static/release-8-3-20.html
  http://www.postgresql.org/docs/8.4/static/release-8-4-13.html
  http://www.postgresql.org/about/news/1407/

BID
  55072

APPLE
  http://lists.apple.com/archives/security-announce/2013/Mar/msg00002.html


Return to the previous page.